<?php
class LSTServicio extends AppListado {
	
	public function init(){
		$this->setClase('Servicio');
		$this->setMetodo('lst_activos');
		$this->setCantidadPorPagina(array(50));

		$this->addColumna(new CLMTexto('numeroServicio', '<a href="'.PUBLICURL.'/index.php/wservicio/editar/id/$numeroServicio#">$numeroServicio#</a>', 'Nš Servicio'));
		$this->addColumna(new CLMTexto('fechaServicioInicio', '$fechaServicioInicio# $horaServicioInicio#', 'Inicio'));
		$this->addColumna(new CLMTexto('contacto', '$personaContacto# ($personaTelefono#)', 'Contacto'));
		$this->addColumna(new CLMNumero('numeroPersonas', '$numeroPersonas#', 'Pax'));
		$this->addColumna(new CLMTexto('vehiculo', '$vehiculoMarca# $vehiculoModelo#', 'Vehiculo'));
		$this->addColumna(new CLMTexto('origenPoblacion', '$origenPoblacion#', 'Origen'));
		$this->addColumna(new CLMTexto('estado', '$nombre_estado#', 'Estado'));
		$this->addColumna(new CLMNumero('totalConIva', '$totalConIva#', 'Precio',2));
				
		/*
		$this->setBotonEditarVisible(true);
		$this->setBotonEditarUrl('/wpresupuesto/editar');
		$this->setBotonEditarUrlAddParametro('id', '$campoPK#');
		
		$this->setBotonEliminarVisible(true);
		$this->setBotonEliminarUrl('/wpresupuesto/eliminar');
		$this->setBotonEliminarUrlAddParametro('id', '$campoPK#');
		*/
		
	}
	
}